|  | Home · All Classes · Modules

# QInputEvent Class Reference
[QtGui module]

The QInputEvent class is the base class for events that describe user input. More...

Inherits QEvent.

Inherited by QContextMenuEvent, QKeyEvent, QMouseEvent, QTabletEvent and QWheelEvent.

### Methods

- __init__ (self, QEvent.Type type, Qt.KeyboardModifiers modifiers = Qt.NoModifier)
- __init__ (self, QInputEvent other)
- Qt.KeyboardModifiers modifiers (self)

## Detailed Description

The QInputEvent class is the base class for events that describe user input.

## Method Documentation

### QInputEvent.__init__ (self, QEvent.Type type, Qt.KeyboardModifiers modifiers = Qt.NoModifier)

### QInputEvent.__init__ (self, QInputEvent other)

### Qt.KeyboardModifiers QInputEvent.modifiers (self)

Returns the keyboard modifier flags that existed immediately before the event occurred.

See also QApplication.keyboardModifiers().